org.eclipse.oomph.setup.impl

## Class UserImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskContainerImpl
            - - org.eclipse.oomph.setup.impl.ScopeImpl
              - - org.eclipse.oomph.setup.impl.UserImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, Scope, SetupTaskContainer, User

      public class UserImpl
      extends ScopeImpl
      implements User

  An implementation of the model object 'Preferences'.

  The following features are implemented:

  - `Attribute Rules`
  - `Accepted Licenses`
  - `Unsigned Policy`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EList<LicenseInfo>` | `acceptedLicenses` The cached value of the '`Accepted Licenses`' attribute list.
    `protected EList<AttributeRule>` | `attributeRules` The cached value of the '`Attribute Rules`' containment reference list.
    `protected static UnsignedPolicy` | `UNSIGNED_POLICY_EDEFAULT` The default value of the '`Unsigned Policy`' attribute.
    `protected UnsignedPolicy` | `unsignedPolicy` The cached value of the '`Unsigned Policy`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.ScopeImpl

      `description, DESCRIPTION_EDEFAULT, label, LABEL_EDEFAULT, name, NAME_EDEFAULT, QUALIFIED_NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskContainerImpl

      `setupTasks`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UserImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EList<LicenseInfo>` | `getAcceptedLicenses()`
    `EList<AttributeRule>` | `getAttributeRules()`
    `ScopeType` | `getType()`
    `UnsignedPolicy` | `getUnsignedPolicy()`
    `void` | `setUnsignedPolicy(UnsignedPolicy newUnsignedPolicy)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.ScopeImpl

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, setDescription, setLabel, setName`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskContainerImpl

      `getSetupTasks`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### attributeRules

          protected EList<AttributeRule> attributeRules

      The cached value of the '`Attribute Rules`' containment reference list.
      See Also:
        `getAttributeRules()`
      Generated
      Ordered

    - #### acceptedLicenses

          protected EList<LicenseInfo> acceptedLicenses

      The cached value of the '`Accepted Licenses`' attribute list.
      See Also:
        `getAcceptedLicenses()`
      Generated
      Ordered

    - #### UNSIGNED_POLICY_EDEFAULT

          protected static final UnsignedPolicy UNSIGNED_POLICY_EDEFAULT

      The default value of the '`Unsigned Policy`' attribute.
      See Also:
        `getUnsignedPolicy()`
      Generated
      Ordered

    - #### unsignedPolicy

          protected UnsignedPolicy unsignedPolicy

      The cached value of the '`Unsigned Policy`' attribute.
      See Also:
        `getUnsignedPolicy()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### UserImpl

          protected UserImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ScopeImpl`
      Generated

    - #### getAcceptedLicenses

          public EList<LicenseInfo> getAcceptedLicenses()

      Specified by:
        `getAcceptedLicenses` in interface `User`
      Returns:
        the value of the 'Accepted Licenses' attribute list.
      See Also:
        `SetupPackage.getUser_AcceptedLicenses()`
      Generated

    - #### getUnsignedPolicy

          public UnsignedPolicy getUnsignedPolicy()

      Specified by:
        `getUnsignedPolicy` in interface `User`
      Returns:
        the value of the 'Unsigned Policy' attribute.
      See Also:
        `UnsignedPolicy`, `User.setUnsignedPolicy(UnsignedPolicy)`, `SetupPackage.getUser_UnsignedPolicy()`
      Generated

    - #### setUnsignedPolicy

          public void setUnsignedPolicy(UnsignedPolicy newUnsignedPolicy)

      Specified by:
        `setUnsignedPolicy` in interface `User`
      Parameters:
        `newUnsignedPolicy` - the new value of the 'Unsigned Policy' attribute.
      See Also:
        `UnsignedPolicy`, `User.getUnsignedPolicy()`
      Generated

    - #### getAttributeRules

          public EList<AttributeRule> getAttributeRules()

      Specified by:
        `getAttributeRules` in interface `User`
      Returns:
        the value of the 'Attribute Rules' containment reference list.
      See Also:
        `SetupPackage.getUser_AttributeRules()`
      Generated

    - #### getType

          public ScopeType getType()

      Specified by:
        `getType` in interface `Scope`
      Specified by:
        `getType` in class `ScopeImpl`
      Generated
        NOT

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `SetupTaskContainerImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ScopeImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ScopeImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ScopeImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ScopeImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ScopeImpl`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html